Retrieve all credit consumption periods
GET /consumption/periods on the Congestion API. Base URL: https://api.sinay.ai/congestion/api/v1.
Responses
Body: application/json, array of object.
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string (uuid) | Yes | Unique identifier of the consumption period. |
[].credits | integer | Yes | Remaining credits. |
[].creditsInitial | integer | Yes | Credits allocated at the start of the period. |
[].periodStart | string (date-time) | Yes | Start of the period. |
[].periodEnd | string (date-time) | Yes | End of the period. |
[].expired | boolean | Yes | Whether this period has expired. |